%define compdir %(pkg-config --exists bash-completion &&
pkg-config --variable=completionsdir bash-completion ||
echo %_sysconfdir/bash_completion.d)

Name:           datamash
Version:        1.8
Release:    1%{?dist}
Summary:        A statistical, numerical and textual operations tool

License:        GPLv3+
URL:            https://www.gnu.org/software/%{name}/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gettext perl(Digest::MD5) perl(Digest::SHA) perl(Data::Dumper)
BuildRequires:  perl(FileHandle) perl(File::Compare) perl(File::Find)
BuildRequires:  pkgconfig bash-completion
BuildRequires:  make
BuildRequires:  texinfo

%description
GNU datamash is a command-line program which performs basic
numeric,textual and statistical operations on input textual data
files.

%prep
%setup

rm lib/error.*


%build
%configure
%make_build

%install
%make_install
%{__rm} -f %{buildroot}/%{_infodir}/dir
%find_lang %{name}
%{__mkdir_p} %{buildroot}%{compdir}
%{__mv} %{buildroot}%{_datadir}/datamash/bash-completion.d/datamash %{buildroot}%{compdir}
%{__sed} -i '/^#!/,1d' %{buildroot}%{compdir}/datamash

%check
%{__make} check

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ];then
/sbin/install-info –delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/datamash/
%{_infodir}/datamash.info.*
%dir %{compdir}/..
%dir %{compdir}
%{compdir}/datamash

%license COPYING
%doc README NEWS THANKS AUTHORS ChangeLog
%{_mandir}/man1/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8-1
- initial build
